### Function

# AppStream RelationCompare to_string

since: 0.12.0

#### Declaration [src]

    const gchar*
    as_relation_compare_to_string (
      AsRelationCompare compare
    )

#### Description [src]

Converts the enumerated value to an text representation. The enum is converted into a two-letter identifier (“eq”, “ge”, etc.) for use in the XML representation.

Available since: 0.12.0

#### Parameters

`compare`

  Type: `AsRelationCompare`

  The `AsRelationCompare`.

#### Return value

Type: `const gchar*`

String version of `compare`.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.